# Troubleshooting Guide

## Error Codes

{% hint style="info" %}

#### Info

If you encounter an error code not listed below, please open a support ticket in the [Codesign Discord](https://discord.gg/codesign) for assistance.
{% endhint %}

### Server

<mark style="color:red;">**0000**</mark> - N/A

### Client

<mark style="color:red;">**0000**</mark> - N/A

***

## Common Issues

Please check out our [**Self Debugging Guide**](https://docs.codesign.pro/coding-information/self-debugging#troubleshooting) before contacting our support.

🔔 <mark style="color:red;">**Folder Name**</mark> Make sure the name of the folder is `cd_bridge`.

🔔 <mark style="color:red;">**Encrypted Files**</mark> Do not edit the encrypted files in any way.

<details>

<summary><mark style="color:red;"><strong>Using QBCore but No Admin Permissions?</strong></mark></summary>

We have confirmed that this issue is caused by **missing or incorrect QBCore ACE permissions** in your `server.cfg`.

Below are the **verified, working permission settings** that should be used to resolve this issue.

**Important:**\
You do **not** need to change any of the permission structure or commands below.

The **only required change** is to replace the placeholder identifiers (`xxxxxx`) with **your own player identifiers** (FiveM ID or license).

Leave everything else exactly as-is unless you fully understand the ACE permission system. The defaults are already configured correctly for QBCore and txAdmin.

```properties
## Permissions ##
add_ace group.admin command allow # allow all commands
{{addPrincipalsMaster}} # This is the way txAdmin assigns permissions to the server owner

# Resources
add_ace resource.qb-core command allow # Allow qb-core to execute commands

# Gods
add_ace qbcore.god command allow # Allow all commands

# Inheritance
add_principal qbcore.god group.admin # Allow gods access to the main admin group used to get all default permissions
add_principal qbcore.god qbcore.admin # Allow gods access to admin commands
add_principal qbcore.admin qbcore.mod # Allow admins access to mod commands

# Players
add_principal identifier.fivem:xxxxxx qbcore.god # Player Name
add_principal identifier.license:xxxxxx qbcore.admin # Player Name
add_principal identifier.license:xxxxxx qbcore.mod # Player Name
```

</details>

<details>

<summary><mark style="color:red;"><strong>Auto-Detect Not Detecting Your Resource</strong></mark></summary>

If auto-detection is not working, it is usually due to one of the following reasons:

1. The resource name has been changed from its default name. Auto-detection relies on default resource names to identify supported integrations.
2. `cd_bridge` is started too early. It must be placed **at the bottom of your `server.cfg`** so it can detect resources that start before it.

Ensure the resource name is unchanged and that `cd_bridge` is started after all frameworks and integrated resources.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/bridge/troubleshooting-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
